<?php
/*
 * 注意：此文件由tpl_engine编译型模板引擎编译生成。
 * 如果您的模板要进行修改，请修改 templates/default/modules/blog/blog_manager_sort.html
 * 如果您的模型要进行修改，请修改 models/modules/blog/blog_manager_sort.php
 *
 * 修改完成之后需要您进入后台重新编译，才会重新生成。
 * 如果您开启了debug模式运行，那么您可以省去上面这一步，但是debug模式每次都会判断程序是否更新，debug模式只适合开发调试。
 * 如果您正式运行此程序时，请切换到service模式运行！
 * 
 * 如有您有问题请到官方论坛（http://tech.jooyea.com/bbs/）提问，谢谢您的支持。
 */
?><?php
	//必须登录才能浏览该页面
	require("foundation/auser_mustlogin.php");
	require("foundation/module_blog.php");

  //语言包引入
  $b_langpackage=new bloglp;

  //变量定义
  $user_id=get_sess_userid();
  
  //数据表定义  
  $t_blog_sort=$tablePreStr."blog_sort";
  
  //读写分离方法-读操作
   dbtarget('r',$dbServs);   
   $dbo=new dbex; 
   
   $condition="user_id=$user_id";
   $order_by="";
   $type="getRs";
   $blog_sort_rs=get_db_data($dbo,$t_blog_sort,$condition,$order_by,$type);
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>blog</title>
<link rel="stylesheet" type="text/css" href="skin/<?php echo $skinUrl;?>/css/row_menus.css">
<link rel="stylesheet" type="text/css" href="skin/<?php echo $skinUrl;?>/css/iframe.css">
<SCRIPT language=JavaScript src="servtools/ajax_client/ajax.js"></SCRIPT>

<script type="text/javascript">

function xmlchange(){
	if(xmlhttp.readyState==4&&xmlhttp.status==200){
			var return_str=xmlhttp.responseText;
			var	return_text=return_str.replace(/[\s\n\r]/g,"");	 	
	}
}

function save_sort(sort_id,text_id){
	var sort_value=document.getElementById(text_id).value;
	xmlhttp=InitAjax();
	xmlhttp.open("POST","do.php?act=blog_sort_change&id="+sort_id,true);
	xmlhttp.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
	xmlhttp.onreadystatechange=xmlchange;
	document.getElementById('info_'+sort_id).style.display="";
	document.getElementById('info_'+sort_id+'_edit').style.display="none";
	document.getElementById('show_info_'+sort_id).innerHTML=sort_value;
	xmlhttp.send("name="+sort_value);
}

function exit_sort(info_id,show_id,text_id){
	document.getElementById(info_id).style.display="";
	document.getElementById(info_id+"_edit").style.display="none";
}

function edit_sort(info_id){
	document.getElementById(info_id).style.display="none";
	document.getElementById(info_id+"_edit").style.display="";
}
</script>
</head>
<body>
    <div class="main_right_title">
       <span class="main_title_dot"></span>
       <span class="main_title_txt"><?php echo $b_langpackage->b_blog;?></span>
  </div> 
	<div id="tabsB">
		<ul>
			<li><a href="#" class="nowbutl"><span class="nowbutr"><?php echo $b_langpackage->b_manage_sort;?></span></a></li>
		</ul>
		<div class="div_but_2" onclick="window.history.go(-1);"><?php echo $b_langpackage->b_re_last;?></div>
	</div>
	<table width="90%" class="blog_ms_table rs_list bnone" cellspacing="0">
		<tr>
			<td colspan='2'><?php echo $b_langpackage->b_def_sort;?></td>
		</tr>
		<?php foreach($blog_sort_rs as $rs){?>		
			<tr id="info_<?php echo $rs['id'];?>" >
				<td class="td_a">
						<div id="show_info_<?php echo $rs['id'];?>" class="log_sort_bg">
							<?php echo $rs['name'];?>
						</div>
				</td>
				<td class="td_b">
						<a class="log_edit_link" href=javascript:edit_sort("info_<?php echo $rs['id'];?>");><?php echo $b_langpackage->b_edit;?></a>&nbsp &nbsp
						<a class="log_del_link" href='do.php?act=blog_sort_del&id=<?php echo $rs["id"];?>' onclick='return confirm("<?php echo $b_langpackage->b_a_del;?>")'><?php echo $b_langpackage->b_del;?></a>
				</td>
			</tr>
			
			<tr id="info_<?php echo $rs['id'];?>_edit" style="display:none;">
				<td class="td_a">
						<input type='text' id="change_sort_<?php echo $rs['id'];?>" value="<?php echo $rs['name'];?>" maxlength="20">
				</td>
				<td class="td_b">
					<input type='button' class='top_button' value='<?php echo $b_langpackage->b_button_save;?>' onclick=save_sort("<?php echo $rs['id'];?>","change_sort_<?php echo $rs['id'];?>"); />&nbsp &nbsp
					<input type='button' class='top_button' value='<?php echo $b_langpackage->b_button_cancel;?>' onclick=exit_sort("info_<?php echo $rs['id'];?>","show_info_<?php echo $rs['id'];?>","change_sort_<?php echo $rs['id'];?>");  />
				</td>
			</tr>
							
<?php }?>

	</table>							
</body>
</html>